[問題] 當PHPBB 遇到 PHP5 .... 外加 MYSQL問題

phpBB Installation & Usage Support
phpBB 2 安裝於各類型作業平台之問題討論;外掛問題,請到相關版面依發問格式發表!
(發表文章請按照公告格式發表,違者砍文)

版主: 版主管理群

版面規則
本區是討論關於 phpBB 2.0.X 架設安裝上的問題,只要有安裝任何外掛,請到外掛討論相關版面按照公告格式發表。
(發表文章請按照公告格式發表,違者砍文)
主題已鎖定
t54185
星球公民
星球公民
文章: 72
註冊時間: 2006-08-24 12:48

[問題] 當PHPBB 遇到 PHP5 .... 外加 MYSQL問題

文章 t54185 »

●架設主機作業系統:Windows Xp Home
●快速架站程式:Appserv
●您的上網方式:ADSL
●您安裝的程式:Apache + php + MySql (我是安裝 appserv-win32-2.5.6)
●您的 phpBB2 版本:全新的 phpBB 2.0.21

我想請問一下 這樣的搭配 可行嗎 ?

我有安裝完畢 並沒有像站內所說的 資料庫型態錯誤 .. 發文之類 一切正常

但是不想以後會出問題 來造成資料損壞 ...

有人說 不支援

有人說 可以用 ... 請幫我解惑 @@"

還是要重裝 appserv-win32-2.4.6 呢 ??
最後由 t54185 於 2006-08-25 19:01 編輯,總共編輯了 1 次。

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

文章 心靈捕手 »

AppServ 2.4.x 與 2.5.x 最大的不同點, 是使用 PHP4 與 PHP5 不同的套件.
前者是比較穩定的版本. 如果您是一位程式開發者, 那麼您可以試用後者的版本.
AppServ NeXt GeNeRatiOn
At this time AppServ has been split to version 2.4.x and 2.5.x
2.4.x is a Superb stable version work for all user, by the way this version use PHP 4.x because work fine with your old PHP code (Recommended)
2.5.x can Rock Your Code.If you need to taste PHP 5 use this version BUT ! I don't think this version can work fine with your old PHP code.I'm not guarantee for this version. You can should between 2.4.x and 2.5.x by your self.
Conclusion Many people use PHP 5.x has found more bug and not stable,If you are developer.If you need to find somethings in PHP 5.x I recommend to use version 2.5.x but if you found version 2.5.x not good enough, you can downgrade to version 2.4.x.
Source: http://www.appservnetwork.com/

--
依照官方 phpBB 公告, 目前的 phpBB 2.0.x 並不支援 PHP5.
With the recent release of the official version of PHP 5, people and hosts may be switching to the latest PHP version. At this moment, the phpBB Team does not officially support running phpBB on PHP 5, as phpBB2.0.x was not written with PHP 5 in mind. However, many users have reported using it sucessfully on PHP 5 having made a configuration change in PHP to enable support for the deprecated HTTP_*_VARS arrays which is turned off by default in new PHP 5 installations. The relevant configuration option is register_long_arrays and it is decribed in the PHP Manual. phpBB 2.0.x makes use of these arrays in order to maintain backwards compatibility with PHP 3.x and early versions of PHP 4.x which is part of the original specification.

For this reason we do not support PHP 5 as platform for phpBB. It has been reported working, so you can try it. It's a risk you will be taking though.
Source: http://www.phpbb.com/phpBB/viewtopic.php?t=211009

--
依照個人使用 PHP5 的經驗, 的確會造成很多問題;
尤其是當您的論壇安裝許多外掛時, 更是會經常出現錯誤訊息.
這時候, 您就必須要自己去 debug 了.

猶記有網友反映 '後台無法新增版面管理員',
討論到最後, 問題癥結就是出在他是使用 PHP5.
http://phpbb-tw.net/phpbb/viewtopic.php?t=36262
http://wang5555.dyndns.org/phpbb2/viewtopic.php?t=14353

--
因此個人建議您, 使用 AppServ 2.4.x 來跑 phpBB 2.0.x 比較妥當.

同時, 也敬告各位網友:
當您在使用 phpBB2 (或者是安裝外掛遇到問題) 提問時,
請務必明確告知, 您所使用的 PHP 版本為何?
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

t54185
星球公民
星球公民
文章: 72
註冊時間: 2006-08-24 12:48

文章 t54185 »

恩 了解了 ^^ 學了很多 謝謝

我吃飽後 來重灌 2.4.6 的好了 ^^

----------------------------------------

我可以多問一條問題嗎 因為連續開版 覺得不好意思

我的SQL 按下 權限 想要更改 ROOT 的密碼

更改密碼那邊 我點選 然後 輸入密碼=>確認密碼=>執行 ....

跳出帳密確認 我打入 ROOT 跟 我設的新密碼 卻...

密碼錯誤 然後 紅字 ..........

我查過站內修改SQL密碼的方式 可是 一樣 行不通 .....

頭像
心靈捕手
默默耕耘的老師
默默耕耘的老師
文章: 8423
註冊時間: 2004-04-30 01:54
來自: Taiwan

文章 心靈捕手 »

t54185 寫:恩 了解了 ^^ 學了很多 謝謝

我吃飽後 來重灌 2.4.6 的好了 ^^

----------------------------------------

我可以多問一條問題嗎 因為連續開版 覺得不好意思

我的SQL 按下 權限 想要更改 ROOT 的密碼

更改密碼那邊 我點選 然後 輸入密碼=>確認密碼=>執行 ....

跳出帳密確認 我打入 ROOT 跟 我設的新密碼 卻...

密碼錯誤 然後 紅字 ..........

我查過站內修改SQL密碼的方式 可是 一樣 行不通 .....
建議您:
先重灌 AppServ 2.4.6 後, 再去研究這個問題;
而且, 請重新 (在 phpMyAdmin 版面) 發表主題討論.
施比受有福,歡迎來信賜教,謝謝 & 再見!
祝福您 好運 ^_^
歡迎加入★★心靈捕手★★ :: 討論區!!
http://wang5555.hopto.org/phpBB3/
p.s. 奉老婆之命:在晚上十一點前,得關機睡覺!!!

t54185
星球公民
星球公民
文章: 72
註冊時間: 2006-08-24 12:48

文章 t54185 »

心靈捕手 寫:
t54185 寫:恩 了解了 ^^ 學了很多 謝謝

我吃飽後 來重灌 2.4.6 的好了 ^^

----------------------------------------

我可以多問一條問題嗎 因為連續開版 覺得不好意思

我的SQL 按下 權限 想要更改 ROOT 的密碼

更改密碼那邊 我點選 然後 輸入密碼=>確認密碼=>執行 ....

跳出帳密確認 我打入 ROOT 跟 我設的新密碼 卻...

密碼錯誤 然後 紅字 ..........

我查過站內修改SQL密碼的方式 可是 一樣 行不通 .....
建議您:
先重灌 AppServ 2.4.6 後, 再去研究這個問題;
而且, 請重新 (在 phpMyAdmin 版面) 發表主題討論.
已經發文完畢 安裝完畢
等待研究解決方案 我試一次 就要重灌一次 ....一.一||(因為..進不去)

chiouss
竹貓忠實會員
竹貓忠實會員
文章: 1741
註冊時間: 2002-11-29 18:19

文章 chiouss »

心靈捕手 寫:猶記有網友反映 '後台無法新增版面管理員',
討論到最後, 問題癥結就是出在他是使用 PHP5.
http://phpbb-tw.net/phpbb/viewtopic.php?t=36262
http://wang5555.dyndns.org/phpbb2/viewtopic.php?t=14353
至少...現在沒這個問題阿 :P

t54185
星球公民
星球公民
文章: 72
註冊時間: 2006-08-24 12:48

文章 t54185 »

chiouss 寫:
心靈捕手 寫:猶記有網友反映 '後台無法新增版面管理員',
討論到最後, 問題癥結就是出在他是使用 PHP5.
http://phpbb-tw.net/phpbb/viewtopic.php?t=36262
http://wang5555.dyndns.org/phpbb2/viewtopic.php?t=14353
至少...現在沒這個問題阿 :P
那也就是說 PHPBB 可以使用在 PHP5 上面嗎 !?

有限制嗎 例如 乾淨的 PHPBB !?

裝設外掛的 PHPBB 是否使用 PHP4.X 穩定性會好些呢 ??

阿維
竹貓忠實會員
竹貓忠實會員
文章: 868
註冊時間: 2003-02-23 13:36
來自: 台南市

文章 阿維 »

我只能說PHP5的phpBB在使用上很複雜
假如你有安裝MOD的話,到時出問題你要自己解決 (因為小竹子有說過phpBB並不支援PHP5)

chiouss
竹貓忠實會員
竹貓忠實會員
文章: 1741
註冊時間: 2002-11-29 18:19

文章 chiouss »

JORDAN 寫:我只能說PHP5的phpBB在使用上很複雜
假如你有安裝MOD的話,到時出問題你要自己解決 (因為小竹子有說過phpBB並不支援PHP5)
要用官方不支援的環境就是要這樣,沒有其他辦法。
不支援 PHP5 是官方的 Announce,不是小竹說的。

chiouss
竹貓忠實會員
竹貓忠實會員
文章: 1741
註冊時間: 2002-11-29 18:19

文章 chiouss »

t54185 寫:那也就是說 PHPBB 可以使用在 PHP5 上面嗎 !?
有限制嗎 例如 乾淨的 PHPBB !?
我自己的 phpBB (沒任何 MOD) 在 PHP 5 上面是跑得好好的
裝設外掛的 PHPBB 是否使用 PHP4.X 穩定性會好些呢 ??
這是官方的說法,目前的 PHP 程式也大多是以 PHP4 開發為主。PHP5 和 PHP4 有一定的相容性在,問題是在於 PHP5 有更新過一些語法,舊的程式寫法可能會出現錯誤,這時候可能要自己去翻 manual 找 solution,或是上網路看看有沒有人知道答案。

頭像
ManHK
星球公民
星球公民
文章: 35
註冊時間: 2005-12-05 12:50

文章 ManHK »

本人經驗用以下的版本沒有問題,但用 AppServ 2.5.6 會產生很多問題……。

The AppServ Open Project - 2.5.5 for Windows

phpMyAdmin Database Manager Version 2.6.4-pl4
PHP Information Version 5.1.1

About AppServ Version 2.5.5 for Windows
AppServ is a merging open source software installer package for Windows includes :

Apache Web Server Version 2.0.55
PHP Script Language Version 5.1.1
MySQL Database Version 5.0.16
phpMyAdmin Database Manager Version 2.6.4-pl4

主題已鎖定

回到「phpBB 2 安裝與使用」